# Generated from kubernetes-deploy-0.31.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kubernetes-deploy

Name: rubygem-%{gem_name}
Version: 0.31.1
Release: 1%{?dist}
Summary: Kubernetes deploy scripts
License: MIT
URL: https://github.com/Shopify/kubernetes-deploy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-stub-const) >= 0.6
# BuildRequires: rubygem(minitest-stub-const) < 1
# BuildRequires: rubygem(webmock) >= 3.0
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(mocha) >= 1.5
# BuildRequires: rubygem(mocha) < 2
BuildArch: noarch

%description
Kubernetes deploy scripts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/krane
%{_bindir}/kubernetes-deploy
%{_bindir}/kubernetes-render
%{_bindir}/kubernetes-restart
%{_bindir}/kubernetes-run
%{gem_instdir}/.buildkite
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.shopify-build
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/ISSUE_TEMPLATE.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/dev.yml
%{gem_instdir}/dev
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/pull_request_template.md
%{gem_instdir}/screenshots
%{gem_instdir}/shipit.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/kubernetes-deploy.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.31.1-1
- Initial package
